/*  $Id: limits.h,v 1.5 1999/07/16 20:18:50 shaggy Exp $
 *      relative path: ./lib/posix
 */

#ifndef __limits_h__
#define __limits_h__


#define CHAR_BIT	8
#ifdef __CHAR_UNSIGNED__
#	define CHAR_MIN	SCHAR_MIN
#	define CHAR_MAX	SCHAR_MAX
#else
#	define CHAR_MIN	0
#	define CHAR_MAX	UCHAR_MAX
#endif
#define INT_MIN		LONG_MIN
#define INT_MAX		LONG_MAX
#define LONG_MIN	-2147483648L
#define LONG_MAX	2147483647L
#define MB_LEN_MAX	1
#define SCHAR_MIN	-128
#define SCHAR_MAX	127
#define SHRT_MIN	-32768
#define SHRT_MAX	32767
#define UCHAR_MAX	255U
#define UINT_MAX	ULONG_MAX
#define ULONG_MAX	4294967295UL
#define USHRT_MAX	65535U

#ifdef _POSIX_SOURCE

#include "_envlimits.h"

#define _POSIX_ARG_MAX		ARG_MAX
#define _POSIX_CHILD_MAX	CHILD_MAX
#define _POSIX_LINK_MAX		LINK_MAX	
#define _POSIX_MAX_CANON	MAX_CANON
#define _POSIX_MAX_INPUT	MAX_INPUT
#define _POSIX_NAME_MAX		NAME_MAX
#define _POSIX_NGROUPS_MAX	NGROUPS_MAX
#define _POSIX_OPEN_MAX		OPEN_MAX
#define _POSIX_PATH_MAX		PATH_MAX
#define _POSIX_PIPE_BUF		PIPE_BUF
#define _POSIX_SSIZE_MAX	SSIZE_MAX
#define _POSIX_STREAM_MAX	STREAM_MAX
#define _POSIX_TZNAME_MAX	TZNAME_MAX

#endif

#endif
