
%{
int yyerror(const char *str);
int yylex(int *yylval);
int yydebug = 1;
#define YYPDEBUG
%}

%token IF ELSE
%token NUM
%token CODE


%%

start: stmt;

stmt: mstmt | ustmt;

mstmt:
	  CODE
	| IF e mstmt ELSE mstmt
	;

ustmt:
	  IF e stmt
	| IF e mstmt ELSE ustmt
	;


e: NUM;

%%

int inp[] = {
	IF,NUM,IF,NUM,CODE,
};
int ntok = sizeof(inp)/sizeof(*inp);
int tnum = 0;

int
yyerror(const char *str)
{
	printf("yyerror: %s\n", str);
}

int
yylex(int *yylval)
{
	if(tnum < ntok) {
		*yylval = tnum+1;
		return inp[tnum++];
	} else
		return 0;
}

main()
{
	yyparse();
}

